datacache <- new.env(hash=TRUE, parent=emptyenv())

ragene10stprobeset <- function() showQCData("ragene10stprobeset", datacache)
ragene10stprobeset_dbconn <- function() dbconn(datacache)
ragene10stprobeset_dbfile <- function() dbfile(datacache)
ragene10stprobeset_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ragene10stprobeset_dbInfo <- function() dbInfo(datacache)

ragene10stprobesetORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ragene10stprobeset.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ragene10stprobeset", "chip ragene10stprobeset", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("exon_probeset"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ragene10stprobeset_dbconn())
}

